Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Enumerations | Functions
asio_error.h File Reference
`#include <botan/build.h>`
`#include <boost/version.hpp>`
`#include <boost/system/system_error.hpp>`
`#include <botan/exceptn.h>`
`#include <botan/tls_alert.h>`
`#include <botan/tls_exceptn.h>`

Go to the source code of this file.

## Classes
struct | Botan::TLS::BotanAlertCategory
| An error category for TLS alerts. More...
struct | Botan::BotanErrorCategory
| An error category for errors from Botan (other than TLS alerts) More...
struct | boost::system::is_error_code_enum< Botan::ErrorType >
struct | boost::system::is_error_code_enum< Botan::TLS::Alert::Type >
struct | boost::system::is_error_code_enum< Botan::TLS::StreamError >
struct | Botan::TLS::StreamCategory
| An error category for errors from the TLS::Stream. More...

## Namespaces
namespace | boost
namespace | boost::system
namespace | Botan
namespace | Botan::TLS

## Enumerations
enum | Botan::TLS::StreamError { Botan::TLS::StreamTruncated = 1 }

## Functions
const BotanAlertCategory & | Botan::TLS::botan_alert_category () noexcept
const BotanErrorCategory & | Botan::botan_category () noexcept
const StreamCategory & | Botan::TLS::botan_stream_category ()
boost::system::error_code | Botan::make_error_code (Botan::ErrorType e)
boost::system::error_code | Botan::TLS::make_error_code (Botan::TLS::Alert::Type c)
boost::system::error_code | Botan::TLS::make_error_code (Botan::TLS::StreamError e)